Loading...
Searching...
No Matches
XrdOucFIUrl Class Reference
Collaboration diagram for XrdOucFIUrl:

## Public Member Functions

| XrdOucFIUrl (const char *url, const char *cc=0, int pri=0)
| ~XrdOucFIUrl ()

## Public Attributes

char | fCC [4]
int | fPrty
char * | fUrl
XrdOucFIUrl * | next

## Detailed Description

Definition at line 67 of file XrdOucFileInfo.cc.

## Constructor & Destructor Documentation

## XrdOucFIUrl()

XrdOucFIUrl::XrdOucFIUrl | ( | const char * | url,
|  | const char * | cc = 0,
|  | int | pri = 0 )

inline

Definition at line 75 of file XrdOucFileInfo.cc.

: fUrl(strdup(url)), fPrty(pri), next(0)
{if (cc) {strncpy(fCC, cc, sizeof(fCC)-1); fCC[2] = 0;}
else strcpy(fCC, "us");
}
XrdOucFIUrl::next
XrdOucFIUrl * next
Definition XrdOucFileInfo.cc:73
XrdOucFIUrl::fUrl
char * fUrl
Definition XrdOucFileInfo.cc:70
XrdOucFIUrl::fPrty
int fPrty
Definition XrdOucFileInfo.cc:71
XrdOucFIUrl::fCC
char fCC[4]
Definition XrdOucFileInfo.cc:72

References fCC, fPrty, fUrl, and next.

## ~XrdOucFIUrl()

XrdOucFIUrl::~XrdOucFIUrl | ( |  | ) |

inline

Definition at line 81 of file XrdOucFileInfo.cc.

{if (fUrl) free(fUrl);}

References fUrl.

## Member Data Documentation

## fCC

char XrdOucFIUrl::fCC[4]

Definition at line 72 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIUrl(), XrdOucFileInfo::AddUrl(), and XrdOucFileInfo::GetUrl().

## fPrty

int XrdOucFIUrl::fPrty

Definition at line 71 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIUrl(), XrdOucFileInfo::AddUrl(), and XrdOucFileInfo::GetUrl().

## fUrl

char* XrdOucFIUrl::fUrl

Definition at line 70 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIUrl(), ~XrdOucFIUrl(), and XrdOucFileInfo::GetUrl().

## next

XrdOucFIUrl* XrdOucFIUrl::next

Definition at line 73 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIUrl(), XrdOucFileInfo::~XrdOucFileInfo(), XrdOucFileInfo::AddUrl(), and XrdOucFileInfo::GetUrl().

The documentation for this class was generated from the following file:

- XrdOucFileInfo.cc